diff tests/test-json-writer/test-json-writer.sh @ 191:4ef452f5fefc

Add (failing) test for JSON output format (fails for grid output)
author Chris Cannam
date Wed, 22 Jul 2015 14:25:14 +0100
parents
children 3b7ec45abd1c
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-json-writer/test-json-writer.sh	Wed Jul 22 14:25:14 2015 +0100
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+. ../include.sh
+
+tmpjson=$mypath/tmp_1_$$.json
+
+silentfile=$audiopath/20sec-silence.wav
+
+trap "rm -f $tmpjson" 0
+
+transformdir=$mypath/transforms
+
+# This does not yet test for correct values, only for parseable json
+
+for output in instants curve-oss curve-fsr curve-fsr-timed curve-vsr grid-oss grid-fsr notes-regions; do
+
+    $r -d "$testplug:$output" -w json --json-one-file "$tmpjson" --json-force "$silentfile" 2>/dev/null || \
+	fail "Failed to run for plugin $testplug with output $output"
+
+    check_json "$tmpjson" "test plugin output $output"
+done
+